/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/general_styling';
@import 'css/_variables.scss';

.a-projectHeroDetail {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  gap: 10px;

  &__icon {
    display: none;
    font-size: 1.375rem;
    color: $coa-white-100;
    @include respond(laptop) {
      display: flex;
    }
  }

  &__text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;

    h3 {
      max-width: 200px !important;
      white-space: nowrap !important;
      overflow: hidden !important;
      text-overflow: ellipsis !important;
      font-family: 'Rubik', sans-serif;
      font-style: normal;
      font-weight: 500;
      font-size: 18px;
      /* line-height: 15px; */
      color: #ffffff;
      order: 1;
      @include respond(laptop) {
        order: 2;
      }
    }

    p {
      order: 2;
      font-family: 'Rubik', sans-serif;
      font-style: normal;
      font-weight: 400;
      font-size: 13px;
      line-height: 14px;
      color: #ffffff;
      margin: 0;
      @include respond(laptop) {
        order: 1;
      }
    }
  }
}
